From: <a href="/blend/av.cgi?id=887">Just L</a><BR>
Date: 24 March 2013<P>

Hmmm, there have been a few times my birthday has fallen on Easter. My Big 5-0 is on April 11th. <BR>
<BR>
Today, I received the best love poetry ever: 5 carats of BLING! I've named it "LB's yellow cake with icing." ...There are no other words.<BR>
<BR>
https://www.facebook.com/photo.php?fbid=441665732576692&set=a.438491202894145.1073741830.117904864952782&type=1&theater<BR>
<BR>

<HR>
From: <a href="/blend/av.cgi?id=13">B.K.</a><BR>
Date: 24 March 2013<P>

Kirk; just waiting around for spring to sprung. I guess it is strange to have your birthday fall on Easter. Mine falls on Labor Day and was always that or the first day of school. I'll trade for Easter ha.<BR>
<BR>
JustL; Holy Mackerel..this is major bling..Congratulations! I like the B on it is there another initial on the other side? (like K) ha I bet it's just my size too ha. (kidding)<BR>
<BR>
bk
<HR>
From: <a href="/blend/av.cgi?id=1">Kirk, Blender-Keeper</a><BR>
Date: 24 March 2013<P>

Yow, that's some Bling alright!<BR>
<BR>
Took a "indecisive about having a baby" seminar today. In my case the point is a bit moot, seeing I don't have a partner at the moment, but still I wanted to be able to be a bit more decisive than "I dunno, what do you think?"
<HR>
From: <a href="/blend/av.cgi?id=13">B.K.</a><BR>
Date: 24 March 2013<P>

It's a twenty five to life chunk of your life Kirk...As wonderful as it is you need some major back up with family and a partner to make it work. It's always good to get the information but just know it's a major life change that you can't take back. Be sure to pick out some great genes to go along with your own. ha A girls IQ comes from both sets of parents but boys come from the mothers side. It's more than a bit scary to even think about genetically or otherwise.<BR>
<BR>
bk
<HR>